Package ghidra.app.util.viewer.field

# Class ErrorListingField

java.lang.Object
ghidra.app.util.viewer.field.ListingTextField
ghidra.app.util.viewer.field.ErrorListingField

All Implemented Interfaces:
  `Field`, `TextField`, `ListingField`

public class ErrorListingField extends ListingTextField

- ## Field Summary

  ### Fields inherited from class ghidra.app.util.viewer.field.ListingTextField

  `field, hlFactory`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ErrorListingField(FieldFactory ff, ProxyObj<?> proxy, int varWidth, Throwable t)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Object`
  `getClickedObject(FieldLocation fieldLocation)`
  Returns the object that was clicked on a Field for the given FieldLocation.
  `Throwable`
  `getThrowable()`

  ### Methods inherited from class ghidra.app.util.viewer.field.ListingTextField

  `contains, createMultilineTextField, createMultilineTextField, createPackedTextField, createSingleLineTextField, createSingleLineTextFieldWithReverseClipping, createWordWrappedTextField, dataToScreenLocation, getCol, getCursorBounds, getFieldElement, getFieldFactory, getHeight, getHeightAbove, getHeightBelow, getNumCols, getNumDataRows, getNumRows, getPreferredWidth, getProxy, getRow, getScrollableUnitIncrement, getStartX, getText, getTextWithLineSeparators, getWidth, getX, getY, isClipped, isPrimary, isValid, paint, rowHeightChanged, screenLocationToTextOffset, screenToDataLocation, setPrimary, textOffsetToScreenLocation, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ErrorListingField

    public ErrorListingField(FieldFactory ff, ProxyObj<?> proxy, int varWidth, Throwable t)

- ## Method Details

  - ### getThrowable

    public Throwable getThrowable()

  - ### getClickedObject

    public Object getClickedObject(FieldLocation fieldLocation)
    Description copied from interface: `ListingField`
    Returns the object that was clicked on a Field for the given FieldLocation. This may be the field itself or a lower-level entity, such as a FieldElement.
    Specified by:
      `getClickedObject` in interface `ListingField`
    Overrides:
      `getClickedObject` in class `ListingTextField`
    Parameters:
      `fieldLocation` - The location that was clicked.
    Returns:
      the object that was clicked